Skip to main content
GET
List CRM properties

Authorizations

Authorization
string
header
required

Project-scoped secret API key (sk_…). Pass in the Authorization: Bearer <key> header. Grants access to the project the key was issued for.

Query Parameters

object_type
enum<string>

Filter property definitions by CRM object type.

Available options:
contact,
company

Response

CRM property definitions.

id
integer
required

Numeric CRM property identifier.

Example:

101

object_type
enum<string>
required

CRM object type.

Available options:
contact,
company
key
string
required

Stable property key used in CRM properties objects.

Example:

"pipeline_stage"

label
string
required

Human-readable property label.

Example:

"Stage"

data_type
enum<string>
required

Data type used to validate and render a CRM property.

Available options:
string,
number,
boolean,
date,
datetime,
select,
multiselect,
reference
is_default
boolean
required

True when the property is part of the default CRM catalogue.

is_system
boolean
required

True when the property is backed by a system field.

is_required
boolean
required

True when Spotzee requires a value for this property.

display_order
integer
required

Display ordering hint.

Example:

30

visibility
enum<string>
required

Public CRM endpoints only expose public CRM properties.

Available options:
public
options
object[] | null

Allowed values for select and multiselect properties.

group
string | null

Display group used by Spotzee CRM.

Example:

"Pipeline"